blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
5f52f20d0b81dbf69f97b4e557d73b16e186463d
Shell
JeffersonLab/trackingML
/benchmark/bm03/run_benchmark.sh
UTF-8
1,855
3.46875
3
[]
no_license
#!/bin/bash # # Run the bm03 benchmark # # This script should be run from within the bm03 directory # *AFTER* sourcing the python virtual environment script # venv/bin/activate. One should also make sure the GPUS # variable at the top of the script is set to the number # of GPUs available on the VM # # This will run th...
true
7aed4f0e04b94814d3944e479b8b22e623f5af5f
Shell
brandly/bash-hunnid
/fibonacci
UTF-8
219
3.609375
4
[]
no_license
#!/bin/bash input=$1 fibonacci () { if [ "$1" -le 1 ] then echo 1 else prev=$( fibonacci $(($1 - 1)) ) prev_prev=$( fibonacci $(($1 - 2)) ) echo $(( prev + prev_prev )) fi } fibonacci "$input"
true
7fa31d1f14afee053316b1c06f28e1d0d98b0824
Shell
dlaststark/machine-learning-projects
/Programming Language Detection/Experiment-2/Dataset/Train/UNIX-Shell/old-lady-swallowed-a-fly.sh
UTF-8
1,030
3.078125
3
[]
no_license
animals=(fly spider bird cat dog pig goat cow donkey horse) comments=("I don't know why she swallowed that fly" "That wriggled and jiggled and tickled inside her" "Quite absurd, to swallow a bird" "How about that, to swallow a cat" "What a hog, to swallow a dog" "Her mo...
true
27ac2d788ebfbf7c6680385fda6e24b4e5887583
Shell
ashithwilson/gdrive-backup
/install-gdrive-backup-script.sh
UTF-8
1,577
4
4
[]
no_license
#!/bin/bash install_gdrive_binary() { if [ -f "/sbin/gdrive" ]; then echo "Looks like /sbin/gdrive already exists. Aborting installation!" exit 1 else wget -qO /sbin/gdrive https://github.com/gdrive-org/gdrive/releases/download/2.1.0/gdrive-linux-x64 chmod +x /sbin/gdrive fi } dry_run_gdrive() { echo "Tes...
true
0de9ba98ef345dbe4fc3427d38b05da6489a93c4
Shell
debidroidcc/debidroidcc
/shutdown-outside-chroot.sh
UTF-8
1,082
3.265625
3
[]
no_license
#!/system/bin/sh # break on errors: #set -e # display commands: set -x #busybox=/system/xbin/busybox if [ -z $busybox ]; then busybox=/data/data/de.tubs.ibr.distcc/app_bin/busybox fi if [ -z $target_mountpoint ]; then target_mountpoint=/data # this one might be derived from the $target_dir via df or mount fi if [ ...
true
0b2ac25d75de276ebe2261226ca61ffd50db4769
Shell
possientis/Prog
/shell/color.sh
UTF-8
763
2.640625
3
[]
no_license
# for sh not bash escseq="\033[s\033[0;0H\033[0;41m\033[K\033[1;33mHello World!\033[0m\033[u" restore="\033[s\033[0;0H\033[0m\033[K\033[u" store="\033[s" # save cursor location home="\033[0;0H" # go to line 0 column 0 redback="\033[0;41m" # set red background color clearline="\033[K" #...
true
75c13946ddf648de956be7d8cda2a6b67a79a5f5
Shell
nobu-g/dotfiles
/.zsh.d/linux/.zshrc
UTF-8
1,405
3.265625
3
[ "MIT" ]
permissive
set_iterm2_status_bar() { mycmd=(${(s: :)${1}}) printf "\e]1337;SetUserVar=%s=%s\a" lastcmd "$(echo $mycmd | tr -d '\n' | base64)" } add-zsh-hook preexec set_iterm2_status_bar # https://linuxfan.info/disable-ctrl-s if [[ -t 0 ]]; then stty stop undef stty start undef fi # install specified debian package to ...
true
fe6e57657eca1d38a20f50c48e92f41eb89c56df
Shell
seven5/tutorial
/container/init-tutorial.sh
UTF-8
1,237
2.53125
3
[ "MIT" ]
permissive
# # create the tutorial # #bootstrap needs gb and gopherjs cd /seven5/bootstrap export GOPATH=/seven5/bootstrap go get github.com/constabulary/gb/... go get github.com/gopherjs/gopherjs # no we are ready to get the source code unset GOPATH mkdir -p /seven5/tutorial/src/github.com/seven5 cd /seven5/tutorial/src/github....
true
f2f280c7d3e2508d05c4e44ece2fa805dc13e45c
Shell
robobenklein/configs
/tests/command-check.bash
UTF-8
403
3.09375
3
[ "MIT" ]
permissive
#!/bin/bash N=100000 cmd=ls echo echo "type:" time(for i in $(eval echo "{1..$N}"); do type $cmd &>/dev/null done) echo echo "hash:" time(for i in $(eval echo "{1..$N}"); do hash $cmd &>/dev/null done) echo echo "command -v:" time(for i in $(eval echo "{1..$N}"); do command -v $cmd &>/dev/null done) echo ech...
true
31d8377bdcc734142b98882045896a1515c779dc
Shell
idiap/iss-dicts
/bdlex/CreateDicts.sh
UTF-8
768
3.140625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh # # Copyright 2013 by Idiap Research Institute, http://www.idiap.ch # # See the file COPYING for the licence associated with this software. # # Author(s): # Phil Garner, March 2013 # cd local tmp1=/dev/shm/bdlex1.tmp tmp2=/dev/shm/bdlex2.tmp tmp3=/dev/shm/bdlex3.tmp echo Creating monolithic dictionary $tmp...
true
9df85e4b5043748a6abce51e84ec7f830facdda1
Shell
catunlock/brother-archlinux
/install_printer.sh
UTF-8
1,011
2.53125
3
[]
no_license
#!/bin/bash echo "Instalando dependencias" sudo pacman -Sy cups echo "Instalando paquetes" curl -O http://download.brother.com/welcome/dlf006156/mfc5490cnlpr-1.1.2-2.i386.deb ar vx mfc5490cnlpr-1.1.2-2.i386.deb tar -zxvf data.tar.gz sudo cp -R usr / rm -R usr rm -R data.tar.gz rm -R control.tar.gz rm -R debian...
true
82cfe63a077c0d73ff9dced4be25b5a5a1fb19d2
Shell
molotov-dmitry/font-monospace-config
/font-monospace-config.sh
UTF-8
9,654
4
4
[]
no_license
#!/bin/bash set -e TARGET='font-monospace-config' #### Functions ================================================================= showmessage() { local message="$1" if tty -s then echo "${message}" read -p "Press [Enter] to continue" else zenity --info --width 400 --text="$...
true
2b364d0e94a921e6a1544076a102b8caf58e8d07
Shell
laristra/portage
/app/msmapp/test/run.sh
UTF-8
352
2.53125
3
[ "BSD-3-Clause", "BSD-2-Clause" ]
permissive
#!/bin/bash # This file is part of the Ristra portage project. # Please see the license file at the root of this repository, or at: # https://github.com/laristra/portage/blob/master/LICENSE set -e set -x epsilon=1.e-10 mpirun -np 1 ${ROOT_DIR}/msmapp "${ROOT_DIR}/test/example_input" ${COMPARE} "gold_diagnostics.da...
true
e164b54e0db23dede7b976fd961db516ff070482
Shell
Azure/abfs-backport
/patch-cluster-node.sh
UTF-8
14,877
3.953125
4
[ "MIT", "LicenseRef-scancode-generic-cla" ]
permissive
#!/bin/bash # Script to patch legacy Hadoop with new ABFS driver (hadoop-azure.*.jar) that has been specifically backported # for the targeted Hadoop distro and version. # To fully patch a cluster, this script must be run on EVERY node to update the local filesystem. On ONE NODE ONLY # the -a switch must be specified ...
true
ce23b8bbe90ccc8ea83b1cf867eaf1098ebe7df3
Shell
ryuuzaki42/php7-SlackBuild
/php7Build.sh
UTF-8
1,654
3.015625
3
[]
no_license
#!/bin/sh # Build and package mod_php on Slackware 14.02. # by: Rumbler Soppa <rumbler.soppa@rellcom.com.br> # # All rights reserved. # # Redistribution and use of this script, with or without modification, is # permitted provided that the following conditions are met: # # 1. Redistributions of this script must retai...
true
b572f2f1104d52e17b4020668988040b206fde38
Shell
mfkiwl/riscv-sfpu
/tools/install-systemc.sh
UTF-8
403
3.171875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash INST_PATH=/opt/systemc if [ -d "$INST_PATH" ] then sudo rm -rf $INST_PATH fi sudo mkdir $INST_PATH sudo chown -R $USER $INST_PATH/ if [ -d "systemc-2.3.3" ]; then rm -rf systemc-2.3.3 fi wget https://www.accellera.org/images/downloads/standards/systemc/systemc-2.3.3.tar.gz tar -xf systemc-2.3.3.tar....
true
9237ee3abb59c2c81de2a66c78b7c590955dd3e3
Shell
LuxAter/Fem
/gen_mesh.sh
UTF-8
1,125
4.1875
4
[]
no_license
#!/bin/bash OPTIND=1 QUALITY= AREA= OUT= function show_help() { echo "gen_mesh.sh [-a AREA] [-q QUALITY] [-o OUT_FILE] INPUT" echo " -a Maximum area of a triangular element" echo " -q Minimum angle of the triangular element in degrees" echo " -o Output file path" } while getopts "h?q:a:o:" opt; ...
true
a190295477c8781bf278f4f2c5b658955cc41733
Shell
brainsqueezer/scripts
/inotify_logs.sh
UTF-8
197
2.578125
3
[]
no_license
#!/bin/sh while inotifywait -e modify /var/log/messages; do if tail -n1 /var/log/messages | grep httpd; then kdialog --msgbox "Apache needs love!" fi done
true
7ac06e102f83ad7f6168ca2d66547888dc889b7a
Shell
markbirss/Ubuntu-on-rpi-fixes
/scripts/zoom-install-64bit.sh
UTF-8
1,354
3.390625
3
[]
no_license
#!/bin/bash #check system info to determine if script can run echo "checking system info to determine if script can run" ./sys-info-test.sh echo "checking if box86 is installed..." #check if box86 is installed if [ -d ~/box86 ];then read -p "box86 is already installed. Do you want to reinstall (recommended) (y/n)?"...
true
42f1a401f2f450153e43c8a78e4bdd3b5d02c67c
Shell
kevyin/sunny
/scripts/compare_with_md5.sh
UTF-8
194
3.140625
3
[]
no_license
#!/usr/bash md5file=$1 file=$2 tmp1=~/tmp/${file##*/}.tmp1 tmp2=~/tmp/${file##*/}.tmp2 md5sum $file | cut -f1 -d' ' > $tmp1 cut -f1 -d' ' ${md5file} > $tmp2 diff $tmp1 $tmp2 rm $tmp1 $tmp2
true
1ad144fbd102f9bda1ba38f0722661a0b97efeae
Shell
af-go/misc
/CA/bin/pem2bundle.sh
UTF-8
400
2.9375
3
[]
no_license
#!/bin/bash BASE_DIR=`cd $(dirname $0)/.. && pwd` cat $BASE_DIR/certificates/intermediate/private/cakey.pem $BASE_DIR/certificates/intermediate/cacert.pem > $BASE_DIR/intermediate.pem data=$(awk 'NF {sub(/\r/, ""); printf "%s\\n",$0;}' $BASE_DIR/intermediate.pem) echo "{" > $BASE_DIR/bundle.json echo " \"pem_bundl...
true
0bc178cfc634db9d573bcd3eb4a912545517813b
Shell
jsdf/goose64
/src/disassemble_modern.sh
UTF-8
911
3.296875
3
[ "MIT" ]
permissive
#!/bin/bash set -eu # pass program counter address as arg to this script to see disassembly around # the program counter pc_address="${1:-''}" # this file has original source code info but not final relocated symbol locations executable_file="codesegment.o" mips64-elf-objdump --disassemble --prefix-addresses ...
true
21548c84f82fb1b4937d3190f2360616ad343eb3
Shell
datajaguar/jaguarqa
/sh/security2_login_user.sh
UTF-8
1,435
3.125
3
[]
no_license
#!/bin/bash #: Script Name: security1_create_user.sh #: Authors: Andrew Zhang #: Date: 5/4/2018 #: Purpose: Security test 1: Create users. #: Test cases: # Use case 1: # ------------------------------------------------------------------- # #: Component/Sub Comp: #: Owned by: Andrew Zhang #: Review...
true
bf4a463481eef644b51d48c8a1bc5fe01b90f6c2
Shell
mikegwhit/servermanager
/lib/ubuntu/sh/user/create_user.sh
UTF-8
341
2.703125
3
[]
no_license
#!/usr/bin/env bash echo "$saasworks Install nss-wrapper to be able to execute image as non-root user" apt-get update apt-get install -y libnss-wrapper gettext apt-get clean -y echo "add 'source generate_container_user' to .bashrc" # have to be added to hold all env vars correctly echo 'source $STARTUPDIR/bash_user...
true
efa9da0429e705a3c91397144211bd931c446a5f
Shell
Fedtekansler/Compiler
/.svn/pristine/ef/efa9da0429e705a3c91397144211bd931c446a5f.svn-base
UTF-8
730
3.546875
4
[]
no_license
#!/bin/bash --norc binary=tigerc.x86-linux lexer=tiger.lex.sml rlexer=rescue-$lexer id='>>> This is rescue-tiger.lex.sml <<<' if strings $binary | grep "$id" >/dev/null; then isRescue="yes"; unset isGenerated else isGenerated="yes"; unset isRescue fi case $1 in (generated) if [ "$isRescue" = "yes...
true
cba137f5c8f08225df08223b531a40896a7bfd11
Shell
pranjalikawale/Shell-Script
/Programconstruct/forLoop/harmonic.sh
UTF-8
163
3.125
3
[]
no_license
#!/bin/bash -x read -p "enter the number" num for ((i=1;i<=$num;i++)) do harmonicNum=$(bc <<< "scale=2;$(($harmonicNum+$((1/$i))))") done echo "$harmonicNum"
true
ae36e97fab7be911eb78796a6fc4ec9a99353c6d
Shell
lucasdc6/docker-db-manager
/bin/mongo-up
UTF-8
321
2.84375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash DOCKERNAME="mongo" NAME="mongo" STANDAR_PORT=27017 PORT=$STANDAR_PORT VERSION="latest" DATA="/data/db" function new_container { IMAGE_EXTRA_OPTIONS="-v mongo-data-$VERSION:$DATA" docker run $DEFAULT_OPTIONS $IMAGE_EXTRA_OPTIONS $IMAGE_NAME } source $DOCKERDBMANAGERPATH/libexec/docker_wrapper_template...
true
df5d5683cb4e367697817351d9f118d9894f64c3
Shell
biocore/emp
/code/03-otu-picking-trees/deblur/debluremp.90.sh
UTF-8
759
3.015625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # deblur all emp studies (from per study post split-libraries files) DATADIR=/projects/emp/02-adapter-clean-up LOCDIR=/home/amam7564/data/emp/process SCRIPTDIR=/home/amam7564/data/emp/scripts FNAME=filtered_seqs.fna cd $LOCDIR mkdir all90 for cdir in $DATADIR/* do studyname=$(basename $cdir) echo "proce...
true
c5c524eea01d28abd88fccfe6e96a9e38934b081
Shell
smacpats/Freedom
/DEBIAN/prerm
UTF-8
424
3
3
[]
no_license
#!/bin/bash echo "Restoring Default Hosts File" cp -a /etc/Freedom/defaulthosts /etc/hosts echo "Restore Complete" chown root:wheel /etc/hosts chmod 644 /etc/hosts echo "Killing discoveryd/mDNSResponder..." killall -9 discoveryd killall -9 mDNSResponder echo "Should have died and restarted by now..." echo "Cleaning up...
true
090df9fd29edc002005c241f05346dd24f449bae
Shell
ahdiaz/archconf
/installer/install
UTF-8
1,092
3.6875
4
[]
no_license
#!/bin/bash pacman_options="--needed --noconfirm" packages_url=http://ahdiaz.euler.es/arch/installer packages_install=$packages_url/packages.install packages_uninstall=$packages_url/packages.uninstall yaourt_url=https://aur.archlinux.org/packages/ya/yaourt/PKGBUILD package_query_url=https://aur.archlinux.org/packages/...
true
edcb56a7e6c1f58be8673dc95be98531a04b9ddd
Shell
ZorgeR/repoZITO
/src/repoZITO/content/serv.sh
UTF-8
758
2.90625
3
[]
no_license
#!/bin/sh # # Z-Mod E8 # # Please don't modify this code. # # Copyright - Zorge.R - 2010 - motofan.ru # rz_curserv=`cat $repoz_content/reposerv` showRadio "$rz_HEAD_SERV" "$rz_curserv" "$rz_SERV_TAB_1" ret=$? [ $ret -eq 0 ] && . $repoz_content/repoZITO.sh case $ret in 1) if [ $rz_model = E2 ];then rz_newserv=`...
true
b6f34f13df2c6fa68b6388526e1f5346799c50be
Shell
Cloudxtreme/snltd-monitor
/checks/hardware/check_PSUs.sh
UTF-8
766
3.359375
3
[]
no_license
#!/bin/ksh #============================================================================= # # check_PSUs.sh # ------------- # # Check all PSUs in the machine are powered up and functioning correctly. # # R Fisher 01/2009 # # v1.0 Initial Relase # #======================================================================...
true
dd950b5205e0d1f72cc6cf08f4aa4f13bf2eb1d7
Shell
jonhare/nativelibs4java
/libraries/ScalaCL/Collections/sbazPackage
UTF-8
2,511
3.4375
3
[]
no_license
#!/bin/bash MVN_VERSION="`cat pom.xml | grep '<version' | head -n 1 | sed -e 's/.*<version>\(.*\)<\/version>.*/\1/g'`" SBAZ_VERSION_AUTO="`echo $MVN_VERSION | sed -e "s/-SNAPSHOT/-SNAPSHOT-\`date '+%Y%m%d'\`/g"`" SBAZ_VERSION=${SBAZ_VERSION:-$SBAZ_VERSION_AUTO} LINK_BASE="http://nativelibs4java.sourceforge.net/sbaz/sca...
true
bb53033fcf58679d2eacffb64d4fd15af4d49fb4
Shell
petronny/aur3-mirror
/stratuslab-cli-user/stratuslab-cli-setup.sh
UTF-8
461
3.203125
3
[]
no_license
#!/bin/sh export STRATUSLAB_ROOT=/opt/stratuslab echo "::: STRATUSLAB_ROOT=$STRATUSLAB_ROOT" if [ ! -n "$PATH" ]; then export PATH=${STRATUSLAB_ROOT}/bin else export PATH=${PATH}:${STRATUSLAB_ROOT}/bin echo "==> [${STRATUSLAB_ROOT}/bin]" fi if [ ! -n "$PYTHONPATH" ]; then export PYTHONPATH=${STRATUS...
true
584d524b564b4d02a7dd4e88147180d856e592b0
Shell
Mati607/DetectionLab
/Vagrant/bootstrap.sh
UTF-8
14,297
3.53125
4
[ "MIT" ]
permissive
#! /bin/bash # Override existing DNS Settings using netplan, but don't do it for Terraform builds if ! curl -s 169.254.169.254 --connect-timeout 2 >/dev/null; then echo -e " eth1:\n dhcp4: true\n nameservers:\n addresses: [8.8.8.8,8.8.4.4]" >>/etc/netplan/01-netcfg.yaml netplan apply fi sed -i ...
true
d92387116f41741d4b7b718e88803c7e473cd3e0
Shell
tashkeev-alex/cdr3-QTL
/code/remove_public_clonotype.sh
UTF-8
764
2.84375
3
[]
no_license
#!/bin/sh id=$1 dd=/data/srlab/kishigaki/data/TCR_robins # id=HIP14156 mkdir -p cdr3/HP_nopub/$id cat $dd/$id.tsv | sed -e "1d" | cut -f 2,8,9,11 | awk 'BEGIN{FS="\t"}{ amino_acid=$1; productive_frequency=$2; v_gene=$4; if( productive_frequency != "null" && v_gene != "unresolved" ) { v_gene = s...
true
571be3fb90288429add4a81abb916b482533c4b7
Shell
TrungNguyenBa/bug_fix_minimization
/scripts/D4J_comment_removed_diffs.sh
UTF-8
4,355
3.75
4
[]
no_license
#!/bin/bash die() { echo $1 exit 1 } [ "$D4J_HOME" != "" ] || die "D4J_HOME is not set!" [ "$BFM" != "" ] || die "BFM is not set!" clean=$1 projects=$2 if [ projects == "" ] || [ projects == "ALL" ]; then projects=(Closure Lang Math Time) fi current=$(pwd) echo "living $current" echo "moving to $BFM" cd $...
true
15976200b0aa4ac3fe2734d5b4b37426509ccf38
Shell
OpuRahman1/Kubernetes-Master-Class
/disaster-recovery/broken-kube-ca/clean_nodes.sh
UTF-8
647
2.875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash echo "Cleanup current cluster" rke remove --force --config cluster.yml rm cluster.rkestate.org kube_config_cluster.yml.org echo "Clean nodes.." for node in `cat cluster.yml | grep ' address: ' | awk '{print $3}'` do echo "Node: $node" ssh -o StrictHostKeyChecking=no -o GlobalKnownHostsFile=/dev/null ...
true
beb50fff4390e7fbe691537fd8d104b1562783f0
Shell
LeeActon/ErriezLKM1638
/.auto-build.sh
UTF-8
1,323
2.59375
3
[ "MIT" ]
permissive
#!/bin/sh ################################################################################ # Title : .auto-build.sh # Date created : 2 August 2018 __AUTHOR__="Erriez" # # This script will start PlatformIO build. # ################################################################################ ##############...
true
c5c7a4d0470ee3a0524cb7f7c83ebe200b4421ee
Shell
winneryong/CloudHands
/install.sh
UTF-8
1,644
3.5
4
[]
no_license
#!/bin/bash #By shajf [ `id -u` -ne 0 ] && { echo "You must run this by root" >&2 exit 1 } dpdk_install_prefix=/usr/local/dpdk nr_pages=1024 nodes_dir=/sys/devices/system/node huge_pages_mnt=/mnt/huge_pages if [[ ! -d build ]];then mkdir build fi if [[ ! -d $dpdk_install_prefix ]];then mkdir $dpdk_install...
true
f2cca99754945336db1a92d845431dbf36357c95
Shell
marceltoben/evandrix.github.com
/projects/google-prediction-api/train.sh
UTF-8
314
2.890625
3
[]
no_license
#!/bin/bash DATA=$1 AUTH=`cat auth-token` # Encode the model name. model=`echo $DATA | perl -pe 's:/:%2F:g'` # Train a model. curl -X POST \ -H "Content-Type:application/json" \ -H "Authorization: GoogleLogin auth=$AUTH" \ -d "{data:{}}" \ https://www.googleapis.com/prediction/v1.1/training?data=$model echo
true
f2e383fb9ec554c360b0d4072cd71aae591b05d8
Shell
cr8ivecodesmith/server_build
/docker_install.sh
UTF-8
1,667
4.0625
4
[]
no_license
#!/bin/bash # Server Build Script SCRIPT=$(basename $0) SCRIPTPATH=$(readlink -f $0) SCRIPTDIR=$(dirname $SCRIPTPATH) FILENAME="${SCRIPT%.*}" # This script will always install the latest version of docker. # docker-compose should be updated accordingly as well. To check the latest # version of compose go to: # https:...
true
ce8db8e0f42d8ff8a312254e2911ad374194e882
Shell
jameskr97/etterna
/.ci/install_ldoc.sh
UTF-8
501
2.6875
3
[ "MIT", "GPL-1.0-or-later", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash mkdir lua_tmp && cd lua_tmp # Install various requirements sudo apt install build-essential libreadline-dev unzip # Acquire and install Lua curl -R -O http://www.lua.org/ftp/lua-5.1.5.tar.gz tar -zxf lua-5.1.5.tar.gz cd lua-5.1.5 make linux sudo make install cd .. # Acquire and install LuaRocks wget htt...
true
6e0eeb982a02cf2489b6820423b12fe5b88c1f29
Shell
hhuangMITRE/dioptra
/docker/nginx/include/etc/securing-ai/docker/entrypoint-nginx.sh
UTF-8
8,545
3.359375
3
[ "CC-BY-4.0" ]
permissive
#!/bin/bash # This Software (Dioptra) is being made available as a public service by the # National Institute of Standards and Technology (NIST), an Agency of the United # States Department of Commerce. This software was developed in part by employees of # NIST and in part by NIST contractors. Copyright in portions of ...
true
1a5b2537d0e323c5e2817a0da0ead63efa24db4c
Shell
sierdzio/tbus
/src/tbus-clone
UTF-8
264
3.359375
3
[ "WTFPL" ]
permissive
#!/bin/bash # Clone, connect to existing repositories . tbus-global if [ "${1}" = "-h" ] || [ "${1}" = "--help" ]; then echo "tbus-clone - used to connect to existing repository At the moment this command is a synonym to git clone." exit fi git clone "$@"
true
3ae0cec6179914f7ed74cc5fbd576d59f169a564
Shell
panziqiang007/jenkins_demo
/deploy_jenkins.sh
UTF-8
1,042
3.390625
3
[ "MIT" ]
permissive
#!/bin/bash # Program: # deploy jenkins # Version: # 1.0.1 # History: # Created on 2018/08/15 # Last modified on 2018/08/16 # 容器名称 # CONTAINER="jenkins_demo" # 镜像名称(以日期时间为镜像标签,防止重复) # IMAGE=$CONTAINER":"$(date -d "today" +"%Y%m%d_%H%M%S") # 删除滚动更新残留的容器 # docker rm "docker ps -a | grep -w $CONTAINER'_...
true
c648ea4c195630ebcec1565be1c63d9fb3f5ad6d
Shell
rhenrhee/Whatsminer
/upgrade-rootfs/allwinner-rootfs/usr/bin/detect-voltage-info
UTF-8
2,881
3.6875
4
[]
no_license
#!/bin/sh # # Script to detect voltage info. Info will be output to file /tmp/voltage-info. (Used by remote-daemon) # # Output format: # # [MINER_TYPE]_[MINER_VERSION],[POWER_VERSION],[POWER_VALUE_IN_CONFIG_FILE],[FREQ_VALUE_IN_CONFIG_FILE],[POWER_VALUE_IN_RUNNING],[GHsav] # # e.g. # # m3_v20,000107,17,618,15,15100 # ...
true
cbcaf0edbc511775c4ea2322808b690a646c9247
Shell
dtopuzov/setup
/java/install-java.sh
UTF-8
1,103
4.28125
4
[ "LicenseRef-scancode-warranty-disclaimer", "Apache-2.0" ]
permissive
#!/usr/bin/env bash ######################################################## # # This script will install Open JDK 1.8, 11 and 13. # Default in .bash_profile will be `Open JDK 1.8`. # ######################################################## # shellcheck disable=SC1090 # shellcheck disable=SC2140 # shellcheck disable=S...
true
d017e86c61e0bfef89b25e121e8bf40f6d1ea9c7
Shell
urbanautomaton/dotfiles
/install.sh
UTF-8
1,004
3.5625
4
[]
no_license
#! /bin/bash set -euo pipefail case $(uname) in 'Darwin') dircmd='ln -sfh' ;; 'Linux') dircmd='ln -sfT' ;; esac readonly DOTDIRECTORIES=" vim git_template env_hooks " readonly DOTFILES=" bashrc bash_aliases bash_completion env_hooker inputrc vimrc irbrc gemrc pryrc gitc...
true
c0ca48fc6f1e381a2cad12d76a1a057fbdbfc2ca
Shell
mbektas/gt-coar-lab
/templates/construct/post_install.sh.j2
UTF-8
483
3.171875
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash # {{ copyright }} # {{ license }} # # {{ name }}-{{ variant.upper() }} {{ version }} defaults # set -x export POST_INSTALL_LOG="${PREFIX}/post_install.log" echo "0.0: start" >> "${POST_INSTALL_LOG}" ls "${PREFIX}/{{ settings_path }}" || echo "probably ok" mkdir -p "${PREFIX}/{{ settings_path }}" ...
true
a83d4a426cd713c56972c476ffd5bf0b38b453e7
Shell
rvpatil1432/bridzelabz-sample
/archBckp.sh
UTF-8
139
2.65625
3
[]
no_license
for file in *.txt *.pdf *.log do echo $file; allFiles=`find var/log -mtime +7`; echo $allFiles; tar -cvf $allFiles.tar /Bckp; done
true
bbe200584607ab52e8ef45ec84efefcc4855098c
Shell
admin-zoujing/redis
/init-redis.sh
UTF-8
8,513
3.046875
3
[]
no_license
#!/bin/bash #安装centos7.4安装redis4.0.12主从脚本 #官网地址 https://redis.io/ 图形客户端下载地址:https://redisdesktop.com/download #1、------------------------------RHEL7主服务器(master)------------------------------- sourceinstall=/usr/local/src/redis chmod -R 777 /usr/local/src/redis #时间时区同步,修改主机名 ntpdate ntp1.aliyun.com hwclock --systohc...
true
cb019e36afac37e65468f69929afe15132b800bc
Shell
handankel/pistuff
/init/fan
UTF-8
1,013
4.03125
4
[ "BSD-2-Clause" ]
permissive
#! /bin/bash PATH="/opt/scripts/" DAEMON="run-fan.py" NAME="fan" DESC="Fan control" PIDFILE=/var/run/$NAME.pid case "$1" in start) printf "%-50s" "Starting $NAME..." cd PATH PID=`$DAEMON > /dev/null 2>$1 & echo $!` if [ -z $PID ]; then printf "%s\n" "Failed to start $NAME." else echo $...
true
b5a11a91016bc235062bc436ae7be93c8915ea5d
Shell
vanthaiunghoa/hts_for_vietnamese
/src/scripts/data/sptk_wav.sh
UTF-8
1,035
3.125
3
[]
no_license
#! /bin/bash # # run.sh # Copyright (C) 2017 truongdo <truongdo@vais.vn> # # Distributed under terms of the modified-BSD license. # root=`dirname $0` source Config.cfg BYTEPERFRAME=`expr 4 \* \( $MGCWINDIM + $LF0WINDIM \)` datadir=$1 odir=$2 mkdir -p $odir mgcdir=$datadir/mgc for mgc in `find $datadir -iname "*.mgc*"...
true
46be3219e4096f9001edbbe10060487b8778224c
Shell
BuriedInTheGround/nixpkgs-config
/wm/polybar/scripts/auto-toggle-polybar.sh
UTF-8
604
3.21875
3
[]
no_license
#!/usr/bin/env bash while true; do status=$(cat ~/.auto-toggle-polybar | head -n 1) if [[ $status == "" ]]; then if [[ $(bspc query -N -n focused.fullscreen) != "" ]]; then polybar-msg cmd hide bspc config top_padding 0 echo "auto-hidden" > ~/.auto-toggle-polybar ...
true
f2484f6bd92f278233d6d318b97ea569db199ff3
Shell
leizhilong/my-scripts
/fedora-init-script/init-fedora.sh
UTF-8
2,068
2.796875
3
[ "MIT" ]
permissive
##########################install############################################### dnf erase libreoffice* qemu* libvirt* cheese rhythmbox gnome-maps gnome-photos -y dnf autoremove dnf clean all dnf check-update dnf update -y dnf install fedora-workstation-repositories -y dnf config-manager --set-enabled google-chrome # ...
true
eec5157d1dcbdbbf48214ed5afbb47de34bd7eb1
Shell
petusa/petusa.github.io
/ds/ds-wp-preview-on-gbucket.sh
UTF-8
3,820
3.265625
3
[]
no_license
#!/bin/bash website=$1 [ ! "$website" ] && echo "Please provide an existing WP website domain, e.g. gapps-in.doctusoft.com" && exit 1 target_bucket_root=$2 [ ! "$target_bucket_root" ] && echo "Please provide a target domain where your WP website should be uploaded, e.g. gapps.doctusoft.com" && exit 1 target_version_fol...
true
29090999dff3df6dac7a3e0b158897a142b7ae05
Shell
jdanders/homedir
/bash-completion/share/bash-completion/completions/aptitude
UTF-8
4,219
3.765625
4
[ "MIT" ]
permissive
# Debian aptitude(1) completion -*- shell-script -*- _have grep-status && { _comp_dpkg_hold_packages() { grep-status -P -e "^$1" -a -FStatus 'hold' -n -s Package } } || { _comp_dpkg_hold_packages() { command grep -B 2 'hold' /var/lib/dpkg/status | ...
true
e2a5ea59f91fe9bac65b31979041eb8bc77175e2
Shell
sandeep-majumdar/Arius
/install/install.sh
UTF-8
463
3.015625
3
[]
no_license
#!/usr/bin/env bash # From https://blog.markvincze.com/download-artifacts-from-a-latest-github-release-in-sh-and-powershell/ LATEST_RELEASE=$(curl -L -s -H 'Accept: application/json' https://github.com/woutervanranst/arius/releases/latest) LATEST_VERSION=$(echo $LATEST_RELEASE | sed -e 's/.*"tag_name":"\([^"]*\)".*/\...
true
a822c18d474278a08f6443c15fcb45d25ceaa248
Shell
jeferrb/AzureTemplates
/scripts_gpu_gramos/1-setup_gpu_env.sh
UTF-8
3,942
3.1875
3
[]
no_license
#!/bin/bash export DEBIAN_FRONTEND=noninteractive sudo apt-get update sudo apt-get upgrade -y sudo apt-get dist-upgrade -y sudo apt-get install build-essential ubuntu-desktop make -y tmux zsh clinfo sudo apt-get install build-essential gcc make -y # sudo sh -c "$(curl -fsSL https://raw.githubu...
true
7147b9aeb66ea412a3f4e2207fa52d15dd47e346
Shell
jakutis/dotfiles
/bin/syncandroid
UTF-8
661
3.109375
3
[]
no_license
#!/usr/bin/env bash ROOT="/mnt/android" if [ -n "$(ls --almost-all "$ROOT")" ] then echo "Error: android has to be unmounted" 1>&2 exit 1 fi RSYNC="rsync --recursive --verbose --progress --size-only --inplace" mymount android || exit 1 mkdir --parents "$ROOT/sdcard1/Music" || exit 1 mkdir --parents "$ROOT/sdcar...
true
113e7af896e02d7ff1690c061c776f5812d39465
Shell
pld-linux/onelogin-ldap_connector
/ol-ldapc.init
UTF-8
2,429
3.609375
4
[]
no_license
#!/bin/sh # # ol-ldapc Onelogin Directory Integration # chkconfig: 345 <start_level> <stop_level> # description: ol-ldapc Onelogin Directory Integration # processname: java # config: /etc/sysconfig/ol-ldapc # pidfile: /var/run/ol-ldapc.pid # # Source function library . /etc/rc.d/init.d/functions # Get network config ...
true
e3095cef51b4c79b8b1381526a2fce66d167e1f4
Shell
Rich143/dotfiles
/install.sh
UTF-8
5,186
3.34375
3
[]
no_license
DOTS="vim vimrc tmux.conf zshrc gitconfig ag-ignore ctags gitignore hammerspoon" NON_DOTS="bin" PREFERENCES="com.googlecode.iterm2.plist" PREFERENCES_DEST_DIR=~/Library/Preferences check_exists() { file=$1 if [ -L $file -o -f $file -o -d $file ]; then echo "File exists already: $file" read -p ...
true
86d35dda577010064647bfa248e80dc0b5c3bb9f
Shell
google/filament
/build.sh
UTF-8
31,682
3.765625
4
[ "Apache-2.0", "CC0-1.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash set -e # Host tools required by Android, WebGL, and iOS builds MOBILE_HOST_TOOLS="matc resgen cmgen filamesh uberz" WEB_HOST_TOOLS="${MOBILE_HOST_TOOLS} mipgen filamesh" function print_help { local self_name=$(basename "$0") echo "Usage:" echo " $self_name [options] <build_type1> [<build_ty...
true
86fe57bc97cf4f1c46996ab47ee67b4679f9f572
Shell
rohitrehan/docker-utils
/wordpress/start-wordpress.sh
UTF-8
337
2.8125
3
[]
no_license
#!/bin/bash # to host wordpress locally if [ ! -d "wordpress_data/db" ]; then echo "creating db directory..." mkdir -p wordpress_data/db fi if [ ! -d "wordpress_data/content" ]; then echo "creating wp content directory..." mkdir -p wordpress_data/content fi echo "starting wordpress containers..." dock...
true
0e4eac82d1cfb104028ee8b1199c9aaf20f63c3f
Shell
ytyaru/Shell.HatenaLink.20200323171932
/src/lib/cli/showvartable.sh
UTF-8
263
3.703125
4
[ "CC0-1.0" ]
permissive
ShowVarTable() { # 引数で渡された名前の変数名とその値をcolumnコマンドで整形して表示する local text= for v in "$@"; do text="$text""\n""$v"'='"$(echo "$(eval echo '$'"$v")")" done echo -e "$text" | tail -n +2 | column -t -s= }
true
cdf40aa380b2bd83b70f13fd07fdd916cda3fb6e
Shell
skinforhair/.skinforhair_settings
/bin/Wheatley/episodes/check_downloads
UTF-8
3,110
4
4
[]
no_license
#!/bin/bash ### Simple interface for checking status of deluge torrents source "$pLIB/colors" vpnStatus=$("$pBIN/Wheatley/vpn_tools/vpn" "status") vpnStatus=`echo "$vpnStatus" |awk '{print $2}'` tmpfile="/tmp/dl_list.txt" if [ -f $tmpfile ]; then rm -f $tmpfile; fi usage() { echo " Usage: $0 <options> Options: ...
true
a391a3324663ad3d5e7246fbef5e5e211e8e66ae
Shell
tobw/meta-jens
/recipes-rdm/hp2sm/files/hp2sm.run
UTF-8
406
2.546875
3
[ "MIT" ]
permissive
#!/bin/sh PLACK_APP="/opt/rdm/hp2sm/bin/app.pl" PLACK_PORT=8081 PLACK_ENV="production" STARMAN_WORKERS=2 OPTIONS="--env ${PLACK_ENV} --listen :${PLACK_PORT} --workers ${STARMAN_WORKERS} ${PLACK_APP}" PIDFILE="/var/run/hp2sm.pid" export SYSTEM_IMAGE_UPDATE_DIR=/data/.update mkdir ${SYSTEM_IMAGE_UPDATE_DIR} exec star...
true
f48df22957721ad2b93887fabea6291a9579d0c0
Shell
ebriand/conf-cilium
/setup-local.sh
UTF-8
583
2.734375
3
[]
no_license
#!/usr/bin/env sh killall watch watch "gcloud compute ssh --ssh-flag=\"-L 6443:localhost:6443 -N\" --zone europe-west1-c controller-0" 2>&1 > gcloud.log & echo "Forwarding distant cluster to :6443" # Port forward events watch "kubectl port-forward -n events service/events-frontend" 8080:80 2>&1 > events.log & echo "...
true
c72f64f3d4d14ac4275c66ef7c05e2cc769df818
Shell
Banshee1221/SCC-Housekeeping
/comp_apps/ompi/hpcc/atlas.sh
UTF-8
330
3.140625
3
[]
no_license
#!/bin/bash sudo yum install -y bunzip2 ATLAS_VER="3.10.3" ATLAS_PKG="atlas" ATLAS_EXT="tar.bz2" ATLAS_PKG_NAME=$ATLAS_PKG$ATLAS_VER ATLAS_PKG_FULL=$ATLAS_PKG_NAME.$ATLAS_EXT ATLAS_URL="http://downloads.sourceforge.net/project/math-atlas/Stable/$ATLAS_VER/$ATLAS_PKG_FULL" wget $ATLAS_URL bunzip2 -c $ATLAS_PKG_FULL | ...
true
83431d11c61ce69459da1d83d228baf3d422bcb4
Shell
bastiango97/fedora_ros_setup
/ros_scripts/ros_install.sh
UTF-8
799
3.375
3
[ "MIT" ]
permissive
#!/bin/bash set -e if [ -z $1 ] ; then echo "First argument needed: a name of a normal (not root) user " exit 1 fi if [ -z $2 ] ; then echo "Second argument needed: the ros distro to install " exit 1 fi #if [ sudo -u "$1 rosdep update" ] ; then # echo "rosdep update done" #else # echo "rosdep exist...
true
8984057fb6245924c92059006ecb10cd31f13d2c
Shell
fargusplumdoodle/BorDNS
/scripts/docker_build_version.sh
UTF-8
199
3.171875
3
[]
no_license
#!/bin/bash echo "Building version $1" if [ $# -ne 1 ]; then echo "must supply version" echo "./scripts/build_version.sh <version>" exit -1 fi docker build -t bordns:$1 -f docker/Dockerfile .
true
53a2869b44465e9299528af8ad72e4cb939fa4b5
Shell
kendas/dotfiles
/zsh/.zshrc
UTF-8
4,377
2.84375
3
[]
no_license
# The following lines were added by compinstall zstyle ':completion:*' completer _complete _ignored zstyle :compinstall filename '/home/kaarel/.zshrc' autoload -Uz compinit compinit # End of lines added by compinstall # Lines configured by zsh-newuser-install HISTFILE=~/.histfile HISTSIZE=1000 SAVEHIST=1000 bindkey -...
true
01988368867199cdbeacd28f1f615edb04c6ca0f
Shell
atlanmod/hadoop-cluster-docker
/hadoop-master/files/dist/dist-trans/experiments-data/boxplotter.sh
UTF-8
296
2.515625
3
[]
no_license
#!/bin/bash for i in `seq 0 5` do cut.exe -f2,3,4,5,6,7,8,9,10,11,12,13,14,15 timings-dag-$i-cut.txt > timings-dag-$i-cut-no-nodes.txt done paste timings-dag-?-cut-no-nodes.txt &> timings-all-merged-boxplot.txt split -l 1 -a 1 timings-all-merged-boxplot.txt timings-all-merged-boxplot.txt.
true
f48af976c5961836d3b89c493bd37bd51c99162c
Shell
krixkrix/olive
/configure
UTF-8
1,202
3.65625
4
[]
no_license
#!/bin/sh # # Very simple configure for Olive # VERSION=0.2 prefix=NONE test -e "$CONFIG_SITE" && . "$CONFIG_SITE" test "$prefix" = NONE && prefix=/usr/local while test x$1 != x; do case $1 in --prefix=*) prefix=`echo $1 | sed 's/--prefix=//'` ;; --prefix) echo --prefix needs an argument: --prefix=direc...
true
3cef17e06bfd48b498ab74131870395a5aa60c8e
Shell
dflick-pivotal/sentimentr-release
/jobs/broker-deregistrar/templates/errand.sh.erb
UTF-8
760
2.75
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -eu CF_API_URL='<%= p("cf.api_url") %>' CF_ADMIN_USERNAME='<%= p("cf.admin_username") %>' CF_ADMIN_PASSWORD='<%= p("cf.admin_password") %>' CF_SKIP_SSL_VALIDATION='<%= p("cf.skip_ssl_validation") %>' BROKER_NAME='<%= p("broker.name") %>' export PATH=/var/vcap/packages/cf-cli/bin echo "CF_API_URL=${...
true
8f07900999422df3c2e74aa7e68c76e50d981bd8
Shell
asokolsky/libunistd
/cmaker/cmaker_class.sh
UTF-8
1,850
3.921875
4
[ "BSD-3-Clause", "LicenseRef-scancode-free-unknown", "MIT" ]
permissive
#!/bin/bash # cmaker_class.sh # Created by Robin Rowe 2019/1/10 # License MIT open source #set -x h_file=$0.h cpp_file=$0.cpp test_file=$0.test.cpp outstream=$0.OutStream.h cmakelist=CMakeLists.txt sources=sources.cmake date=$(date +%Y-%m-%d) args=("$@") ReadLicenseFile() { if [[ ! -e LICENSE ]]; then echo "Missin...
true
6617df0fdd84a50ba6d9acd373a63ef3cc952d83
Shell
NJCtony/vagrant-centos
/python36_setup.sh
UTF-8
558
2.65625
3
[]
no_license
#!/usr/bin/env bash echo "Updating yum..." sudo yum -y update sudo yum -y install yum-utils echo "Installing CentOS Development Tools..." sudo yum -y groupinstall development echo "Installing Python 3.6..." sudo yum -y install https://centos7.iuscommunity.org/ius-release.rpm sudo yum -y install python36u echo "Inst...
true
25a6cf3e23f29109a318852c373575f5ed43df71
Shell
ivo922/wow
/scripts/lint
UTF-8
440
3.75
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -euo pipefail if test -z "$*"; then echo "$0: missing argument. e.g. $0 <directory>..." >&2 exit 1 fi for arg in "$@"; do directory="$(realpath $arg)" if ! test -d "$directory"; then echo "$directory is not a directory." >&2 exit 1 fi find "$directory...
true
2333e6f5ccbdf2f2d6fb1ec1ebbfdd66566e3010
Shell
UCL-RITS/rcps-buildscripts
/star-2.7.3a_install
UTF-8
790
3.375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash ############################################### # Installing STAR 2.7.3a # # by Owain Kenway, 2015 # Updated for 2.7.3a January 2020 APPNAME=${APPNAME:-star} VERSION=${VERSION:-2.7.3a} COMPILER_TAG=${COMPILER_TAG:-gnu-4.9.2} INSTALL_PREFIX=${INSTALL_PREFIX:-/shared/ucl/apps/$APPNAME/$VERSION/$COM...
true
4604df9660a56522dfc52f8d34aa4b84107cc6cb
Shell
wickedviking/php56
/assets/provision.sh
UTF-8
724
2.671875
3
[]
no_license
#!/usr/bin/env bash #!/bin/bash apt-get update apt-get -y install libldap2-dev rm -rf /var/lib/apt/lists/* docker-php-ext-configure ldap --with-libdir=lib/x86_64-linux-gnu/ docker-php-ext-install -j$(nproc) ldap pdo_mysql php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');" \ && php -r "if (has...
true
4d967ed06d4196aea8c681c068c0e4eca69bffd4
Shell
Cokemonkey11/wurstdoktor
/publish/publish.sh
UTF-8
378
2.796875
3
[]
no_license
#!/usr/bin/env bash set -euxo pipefail pushd .. cargo build --release popd find ../../WurstStdlib2/ -name '*.wurst' | \ head -n 100 | \ xargs -I {} bash -c " \ mkdir -p \$( echo '{}' | cut -d'/' -f5- | rev | cut -d'/' -f2- | rev ) && \ echo '{}' >&2 && \ ../target/release/wurstdoktor....
true
55ed99b8a551a5439df8c955708e057b063add24
Shell
afonsopacifer/friday
/scripts/move.sh
UTF-8
822
3.8125
4
[ "MIT" ]
permissive
#!/bin/bash # Colors NC='\033[0m' GREEN='\033[0;32m' GRAY='\033[0;37m' # log echo "\n${GRAY}Desktop files moved to ~/Documents/${NC}\n" # move to Documents function move { if [ `ls -l ${1} | wc -l` -ne 0 ]; then mv ${1} ~/Documents/${2} echo "All ${2} files have been transferred to ${GREEN}~/Documents/${2}${NC...
true
03cb6c6d3fffe6cf53eda56ae003723407d85238
Shell
ShipSoft/FairShip
/housekeeping/create-coverage-report.sh
UTF-8
416
3.328125
3
[]
no_license
#!/bin/bash # Creates coverage report in separate directory `coverage` # Arguments: # $1 - Path to the project root directory # $2 - Path to the current build directory PROJECT_ROOT_DIR=$1 BUILD_DIR=$2 pushd $BUILD_DIR mkdir coverage 2>/dev/null cd coverage cmake -Dcoverage=on $PROJECT_ROOT_DIR >/dev/null cmake -...
true
f7ada167a0b2c6217c89b010f4cfd18e23c1c4ae
Shell
NadavTasher/Nockio
/git/configurations/git/hooks/post-update
UTF-8
442
2.609375
3
[ "MIT" ]
permissive
#!/bin/bash # This hook script is used to deploy an application on Nockio. # # This hook is loaded by default. # Build the application echo "Nockio: Building Application" docker-compose --file ../.compose.nockio up --build --detach --no-color 1> ../.log.compose.nockio # Restart the proxy echo "Nockio: Restarting Pro...
true
133fd230cc5b4ed79be972500d6dc29281fab8fc
Shell
martainius/moa-project
/bash-files/analyse.sh
UTF-8
638
3.484375
3
[]
no_license
#!/usr/bin/env bash # This is a short script which reads a given class file and writes each # variable into a separate file, allowing more in-depth analysis of the results.i filename=$1 for i in "1:cepheid" "2:cepheid_" "3:anocephe" "4:LPV" "5:DPV" "6:RR_Lyra" "7:Del_Sct" "8:EB"; do search_string=$i IFS=':...
true
eae75d1d7cadd8144feb4680df9ac33b4f8a216f
Shell
Zhuvikin/voyager
/hack/docker/haproxy/1.7.6/sv/reloader/restart
UTF-8
484
3.203125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -o errexit set -o nounset set -o pipefail source /etc/envvars CERT_DIR=/etc/ssl/private/haproxy mkdir -p /etc/ssl/private/haproxy # http://stackoverflow.com/a/2108296 for dir in /srv/haproxy/secrets/*/ do # remove trailing / dir=${dir%*/} # just basename secret=${dir##*/} cat $dir/tls.crt > $...
true
dd017cf68160caa37a12ae08717794475309cc71
Shell
toddself/dotfiles
/setup/linux/arch/install.sh
UTF-8
633
3.28125
3
[]
no_license
#!/bin/sh echo "-> Installing packages from arch" sudo pacman -Sy --needed $(comm -12 <(pacman -Slq|sort) <(sort pkglist.txt)) > /dev/null if [ ! -d ${HOME}/.pacaur ]; then echo "-> Installing pacaur" mkdir $HOME/.pacaur pushd $HOME/.pacaur git clone https://aur.archlinux.org/auracle-git.git > /dev/null pus...
true
0f73880f5a77d67a132bf653f68b841a3faa0334
Shell
gppfusco/mdw-api-registry
/mdw-api-registry.sh
UTF-8
1,007
3.78125
4
[]
no_license
#!/bin/bash function usage_error() { echo "Usage: mdw-api-registry.sh" echo "mdw_api_registry_jar_file" echo "osb_conf_file" echo "esb_conf_file" echo "report_conf_file" echo "repository_conf_file" } function run_mdw_api_registry() { mdw_api_registry_jar=$1 osb_conf=$2 esb_conf=$3 report_conf=$4 repositor...
true
41e66b1d8a87d9c67e0d55dc9d6fbad932e7c57d
Shell
deajan/obackup
/dev/n_obackup.sh
UTF-8
75,883
3.453125
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash #TODO: do we rotate encrypted files too or only temp files in storage dir (pull / local question) ###### Remote push/pull (or local) backup script for files & databases PROGRAM="obackup" AUTHOR="(C) 2013-2019 by Orsiris de Jong" CONTACT="http://www.netpower.fr/obackup - ozy@netpower.fr" PROGRAM_VE...
true
cb39a58881ba46bae11a2c60845023baf02520b8
Shell
FicusCarica308/holberton-system_engineering-devops
/0x0C-web_server/1-install_nginx_web_server
UTF-8
561
2.96875
3
[]
no_license
#!/usr/bin/env bash # installs nginx on the server this script is run on <set to listen on port 80> <returns "Holberton School" on curl> # installing nginx https://www.digitalocean.com/community/tutorials/how-to-install-nginx-on-ubuntu-16-04 # setup https://www.digitalocean.com/community/tutorials/how-to-set-up-nginx-s...
true
72d30cdc68049dd24b75fe83f2c122674bc2991b
Shell
AlexYangYu/os-salt
/states/base/ifup_interfaces.sh
UTF-8
689
3.1875
3
[]
no_license
#!/bin/bash - # ifup the management interface ip a | grep {{ network.mgt_interface }} | grep UP if [ 0 -ne $? ] then ifup {{ network.mgt_interface }} fi # set up the default router if [[ '{{ network.default_route }}' != $(ip r | grep default | awk '{ print $3 }') ]] then ip route del default ip route add ...
true
025de1acb97e1599fbf3adcc2de4d09e2897bbf3
Shell
zhaorizhao/suitup
/script/cd.sh
UTF-8
238
3.078125
3
[ "MIT" ]
permissive
function suitup-cd-realpath { cd `realpath .` pwd } function suitup-realpath { realpath . } function suitup-cd-suitup { cd $_suitup_path } function suitup-cd-gemset { gem_name=`rvm current` cd ~/.rvm/gems/$gem_name/gems }
true
8957ce1f8c7b161f62ea7f4f878518b925df728e
Shell
uscauv-legacy/old-uscauv-ros-pkg
/uscauv_scripts/bash/uscauv-add-license
UTF-8
7,218
3.21875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash ########################################################################### # scripts/add_license.sh # -------------------- # # Software License Agreement (BSD License) # # Copyright (c) 2013, Edward T. Kaszubski ( ekaszubski@gmail.com ), Dylan Foster # All rights reserved. # # Redistribution and use...
true
a40ca6c5a5c3e0cf17d709860cdd8c0d8066b08f
Shell
devopscenter/dcUtils
/monitoring/dcWatcher/start-dcWatcher.sh
UTF-8
1,837
2.75
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash #=============================================================================== # # FILE: start-dcWatcher.sh # # USAGE: ./start-dcWatcher.sh # # DESCRIPTION: start dcWatcher script that can be executed by docker when the # container started. This way the dcWatc...
true
269b1441cf7a3e0bfc938de348919a0be8002fcc
Shell
zydronium/bankoi-webhostpanel-linux
/usr/local/webhostpanel/admin/htdocs/server/cpustats.sh
UTF-8
1,307
3.328125
3
[]
no_license
filename="/tmp/.cpstats" top -n0 > $filename term=`tty` exec < $filename i=0 while [ $i -le 4 ] do read line set $line case $i in 0) uptime=`echo $4 | tr "," " "` cpu1=`echo $9 | tr "," " "` shift 9 cpu5=`echo $1 | tr "," " "` cpu15=`echo $2 | tr "," " "` echo uptime=$uptime echo cpu 1 min = $cpu1 echo cpu 5 min = $c...
true
990332876f324bdb55101394c2fd316178e8bc4b
Shell
huangyaling/caffe_boost
/examples/rfcn/run_all_online_sc.sh
UTF-8
3,163
3.78125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # Parameter1 quantize_option: 0-int16; 1-int8 # Parameter2 mlu_option: 1-MLU; 2-MFUS # Parameter3 core_version: MLU270; MLU220 usage() { echo "Usage:" echo " $0 [0|1] [1|2] [MLU270 | MLU220]" echo "" echo " Parameter description:" echo " parameter1: int8 mode or int16 mode. 0:int16...
true
09c505c9767f759574fb992b148e7c457205b324
Shell
josepablocam/aquery2q
/src/visualize/run_viz.sh
UTF-8
828
3.234375
3
[]
no_license
# Takes port for q process as argument if [ ! $# -eq 1 ] then echo "Usage: <port-number-for-q-process>" exit 1 fi # AQuery compiler base_dir=$(pwd); cd ../; export A2Q=$(pwd)/a2q; cd $base_dir # Port for q process PORT=$1 AQUERYDIR=./aquery/ # if there is no folder for q, copy over what we brought if [ ! ...
true
c6b0b19309e947f12e0b19e241e6b3920d51be6e
Shell
Kitware/trame
/docker/scripts/run.sh
UTF-8
1,143
4.09375
4
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash # This script is used to start the trame server. # If the `TRAME_USE_HOST` environment variable is set, this # will replace `USE_HOST` in the launcher json file. If it contains # `://`, it will replace `ws://USE_HOST` instead. if [ ! -d /deploy/server ]; then echo "ERROR: The the server director...
true
4b951d98fb3806ea85e37f1f52cbf163035155c3
Shell
martiege/TTK4155-Industrielle-og-innbygde-datasystemers-konstruksjon-Byggern
/microbit-master/auto_setup_script/auto_setup_tools
UTF-8
360
3.765625
4
[]
no_license
#!/bin/sh # Create a temporary directory DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" WORK_DIR="$( mktemp -d -p "$DIR" )" if [[ ! "$WORK_DIR" || ! -d "$WORK_DIR" ]]; then echo "Could not create a working directory" exit 1 fi function cleanup { # rm -rf "$WORK_DIR" echo "Done." } trap cleanup EXIT # ...
true